"use strict";

var _utils = require("../utils.js");

var _index = require("../index.js");

/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
test('Utils - getSharedProps', function () {
  var props = {
    id: 'id',
    inputRef: {
      current: {
        focus: function focus() {}
      }
    },
    adjoined: _index.ADJOINED.none,
    size: _index.SIZE.default,
    required: false,
    disabled: false,
    error: false,
    value: 'value',
    placeholder: 'placeholder',
    onChange: jest.fn(),
    autoFocus: false,
    isFocused: false
  };
  var state = {
    isFocused: true
  }; // $FlowFixMe

  expect((0, _utils.getSharedProps)(props, state)).toMatchSnapshot('getSharedProps returns correct object');
});